Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::ConstructionPolicy Interface Reference

`#include <DomainC.h>`

Inheritance diagram for CORBA::ConstructionPolicy:

[legend]
Collaboration diagram for CORBA::ConstructionPolicy:

[legend]
List of all members.

## Public Types
typedef ConstructionPolicy_ptr | _ptr_type
typedef ConstructionPolicy_var | _var_type
## Public Member Functions
void | make_domain_manager (in InterfaceDef object_type, in boolean constr_policy)
virtual void | make_domain_manager (::CORBA::InterfaceDef_ptr object_type,::CORBA::Boolean constr_policy) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
| Determine if we are of the type specified by the "logical_type_id".
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Member Functions
ConstructionPolicy_ptr | _duplicate (ConstructionPolicy_ptr obj)
void | _tao_release (ConstructionPolicy_ptr obj)
ConstructionPolicy_ptr | _narrow (CORBA::Object_ptr obj)
ConstructionPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
ConstructionPolicy_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Member Functions
| ConstructionPolicy (void)
virtual void | CORBA_ConstructionPolicy_setup_collocation (void)
| ConstructionPolicy (IOP::IOR *ior, TAO_ORB_Core *orb_core=0)
| ConstructionPolicy (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0, TAO_ORB_Core *orb_core=0)
virtual | ~ConstructionPolicy (void)
## Private Member Functions
| ConstructionPolicy (const ConstructionPolicy &)
void | operator= (const ConstructionPolicy &)
## Private Attributes
TAO::Collocation_Proxy_Broker * | the_TAO_ConstructionPolicy_Proxy_Broker_
## Friends
class | TAO::Narrow_Utils<ConstructionPolicy>

## Member Typedef Documentation

typedef ConstructionPolicy_ptr CORBA::ConstructionPolicy::_ptr_type

| Implements CORBA::Policy.

typedef ConstructionPolicy_var CORBA::ConstructionPolicy::_var_type

| Implements CORBA::Policy.

## Constructor & Destructor Documentation

CORBA::ConstructionPolicy::ConstructionPolicy | ( | void |  | ) | `[protected]`

ACE_INLINE CORBA::ConstructionPolicy::ConstructionPolicy | ( | IOP::IOR * | ior,
|  | TAO_ORB_Core * | orb_core = `0`
| ) | `[protected]`

ACE_INLINE CORBA::ConstructionPolicy::ConstructionPolicy | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = `0`,
|  | TAO_Abstract_ServantBase * | servant = `0`,
|  | TAO_ORB_Core * | orb_core = `0`
| ) | `[protected]`

CORBA::ConstructionPolicy::~ConstructionPolicy | ( | void |  | ) | `[protected, virtual]`

CORBA::ConstructionPolicy::ConstructionPolicy | ( | const ConstructionPolicy & |  | ) | `[private]`

## Member Function Documentation

CORBA::ConstructionPolicy_ptr CORBA::ConstructionPolicy::_duplicate | ( | ConstructionPolicy_ptr | obj | ) | `[static]`

const char * CORBA::ConstructionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Implements CORBA::Policy.

CORBA::Boolean CORBA::ConstructionPolicy::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Determine if we are of the type specified by the "logical_type_id". Implements CORBA::Policy.

CORBA::ConstructionPolicy_ptr CORBA::ConstructionPolicy::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

ConstructionPolicy_ptr CORBA::ConstructionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Implements CORBA::Policy.

void CORBA::ConstructionPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Implements CORBA::Policy.

void CORBA::ConstructionPolicy::_tao_release | ( | ConstructionPolicy_ptr | obj | ) | `[static]`

CORBA::ConstructionPolicy_ptr CORBA::ConstructionPolicy::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

void CORBA::ConstructionPolicy::CORBA_ConstructionPolicy_setup_collocation | ( | void |  | ) | `[protected, virtual]`

void CORBA::ConstructionPolicy::make_domain_manager | ( | ::CORBA::InterfaceDef_ptr | object_type,
|  | ::CORBA::Boolean | constr_policy
| ) | throw ( CORBA::SystemException )`[virtual]`

void CORBA::ConstructionPolicy::make_domain_manager | ( | in InterfaceDef | object_type,
|  | in boolean | constr_policy
| ) |

CORBA::Boolean CORBA::ConstructionPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Implements CORBA::Policy.

void CORBA::ConstructionPolicy::operator= | ( | const ConstructionPolicy & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class TAO::Narrow_Utils<ConstructionPolicy>`[friend]`

## Member Data Documentation

TAO::Collocation_Proxy_Broker* CORBA::ConstructionPolicy::the_TAO_ConstructionPolicy_Proxy_Broker_`[private]`

The documentation for this interface was generated from the following files:

- Domain.pidl
- DomainC.h
- DomainC.cpp
- DomainC.inl